Method: projects.locations.instances.startMigration

將來源執行個體遷移至目標 Memorystore 執行個體。

這項作業順利完成後,目標執行個體會:1. 使用來源執行個體設定複寫功能,並將任何寫入作業複寫至來源執行個體。2. 僅允許讀取。

HTTP 要求


POST https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*}:startMigration

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,要開始遷移的執行個體資源名稱。格式:projects/{project}/locations/{location}/instances/{instance}

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "selfManagedSource": {
    object (SelfManagedSource)
  }
  // End of mutually exclusive fields.
}
欄位
定義遷移來源。以下列出互斥欄位。回應中最多會設定一個欄位:
selfManagedSource

object (SelfManagedSource)

這是必要旗標,從自行管理的 Valkey/Redis 執行個體遷移的設定

互斥欄位的結尾。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM 權限

需要 name 資源的下列 IAM 權限:

  • memorystore.instances.startMigration

詳情請參閱 IAM 說明文件。